<?php
  function getVistaTitulres($conn) {
    $resu = '(';

    $sqlAux = "select B.BASE, B.NOMBRE_BASE 
               from BASES B 
                    inner join USUARIOSBASES UB 
                         inner join USUARIOS U 
                         on U.ID_USUARIO = UB.ID_USUARIO and U.USUARIO = 'PIXO_WEB'
                    on UB.BASE = B.BASE
               order by B.BASE ";

    $RsAux = $conn->Execute($sqlAux);
    while (! $RsAux->EOF) {
      if ($resu != '(') {
        $resu .= ' union all ';
      }
      $resu .= 'select '.$RsAux->fields['BASE'].' as base, titular, descri, local, cta_cte 
                from '.$RsAux->fields['NOMBRE_BASE'].'.dbo.glTitulares';
      $RsAux->MoveNext();
    }
    $resu .= ')';
    return $resu;
  }
?>